#include "systemc.h"

SC_MODULE(modd) {
   sc_inslave<int> p8;
   
   int rcvd;
   
   void modd_f() {
      rcvd = p8;
      cout << " : data received at mod D = " << rcvd << endl;
   }
   
   SC_CTOR(modd) {
      SC_SLAVE(modd_f,p8);
   }
};

 